Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Create a permission, using a valid management key.
This API endpoint allows administrators to create a new permission. The endpoint takes the following two parameters:
- name (required)
- description (optional)
Next Steps
Once you have this data, you can utilize the newly created role to Create Roles or Update Roles
See also
- See User Authorization for further details on managing roles and permissions.
curl -X POST "https://api.descope.com/v1/mgmt/permission/create" \ -H "Content-Type: application/json" \ -d '{}'Load All Permission GET
### Load all permissions, using a valid management key. This API endpoint returns details all permissions configured within the Descope instance. The response includes an array of permissions and these details of each permission: - name - description - systemDefault ### Next Steps Once you have this data, you can utilize the response to [Create Roles](/api/management/roles/create-role) or [Update Roles](/api/management/roles/update-role) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.
Update Permission POST
### Update a permission, using a valid management key. This API endpoint allows administrators to update an existing permission. The endpoint takes the following two parameters: - name (required) - description (optional - though if not provided, it will be removed from the permission) ### Next Steps Once you have this data, you can utilize the newly created role to [Create Roles](/api/management/roles/create-role) or [Update Roles](/api/management/roles/update-role) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.